# Projet d'éclairage sur batterie 12V avec ampoules LED :

* gestion électronique de la batterie 12V pour éviter une décharge complète (Arduino)
* suivi du niveau de la batterie via une led RGB type "Neopixel"
* utilisateur de la cave pévenu d'un niveau bas par clignotement de l'éclairage principale en plus du changement de couleur
* support d'ampoule imprimable (impression 3D) avec fixation magnétique (le plafonde de la cave en question est tenu par des poutrelles en acier)
* jusqu'à une dizaine d'ampoules LED 4 Watts

*Projet en cours...*

## Liste des composants électroniques
* 1 Microcontrôleur ATMEL ATtiny85
* 1 régulateur linéaire LM7805
* 1 LED RGB "Neopixel" 5mm
* Relais 'prêt à l'emploi' sur breakout board (exemple : http://www.microbot.it/product/135/Relay-Module.html )
* résistances 1/4W
    * 1x 1 komh
    * 1x 10 kohm
    * 1x 47 kohm
* Condensateur :
    * 2x 10µF 50V électrolytique
    * 1x 0.1µF céramique

## Liste du matériel pour un spot
* support d'ampoule ( à imprimer en 3D, si possible en ABS ou autre matériaux résitant à la chaleur)
* base de fixation magnétique (à imprimer en 3D, le matériaux importe peu tant que c'est assez solide)
* douille GU5.3 précablé
* ampoule LED 12V GU5.3 (3 ou 4W)
* barrette de 2 domino 4 mm2
* aimant au neodyme diamètre 20mm, h=3mm, percé et chanfreiné
* visserie (si possible inox pour la cave: meilleur sur le long terme en cas d'humidité)
    * 2 vis M2.5 10mm + écrous
    * 1 vis M2.5 8mm
    * 1 vis M3 15mm + écrou + rondelle
    * 1 vis M4 15mm à tête fraisée 
    * éventuellement une ou deux rondelle diamètre intérieur 3.5 ou 4mm

## Montage du spot

* préparer les douilles:
    * recouper les fil de la douille GU5.3 à 8cm environ
    * dénuder et étamer les 2 fils en hésitant pas à épaissir un peu le bout pour une meilleure prise dans le domino
* faire passer les deux fil de la douille dans les trous du support d'ampoule (trous plus centraux qui n'ont pas d'emprunte hexagonale à l'extérieur)
* visser la douille sur le support d'ampoule avec les 2 vis M2.5 10mm et les écrous (qui se logent dans les empruntes hexagonales). Ne pas serrer trop fort ! la céramique de la douille peut casser!
* monter l'ampoule pour vérifier que tout va bien, puis l'enlever le temps de finir le montage
* fixer le support d'ampoule sur la base de fixation magnétique avec la vis M3 15mm et son écrou. Attention à l'orientation des pièces! Les filsS'il y a un peu trop de jeu, ajouter une rondelle.
* faire passer les deux fils de la douille dans les trous de la base
* visser les deux fils dans le domino
* fixer le domino dans son logement avec la vis M2.5 8mm et en repoussant les fils de la douille vers l'extérieur
* passer l'aimant dans son logement. Si n'arrive pas tout à fait à raz de la base, ajouter une rondelle derrière avant de visser avec la vis  M4
* placer l'ampoule et c'est terminer!